var http = require('../util/http.js').func;
var getGeneralToken = require('../util/getGeneralToken.js').func;
var getSenderUserId = require('../util/getSenderUserId.js').func;

exports.required = [];
exports.optional = ['jar'];

function post (jar, xcsrf) {
  return http({
    url: 'https://api.roblox.com/users/' + userid + '/groups',
    options: {
      method: 'GET',
      jar: jar,
      resolveWithFullResponse: true,
      headers: {
        'X-CSRF-TOKEN': xcsrf
      },
      json: {
        body: message
      },
    }
  })
  .then(function (res) {
    if (res.statusCode !== 200) {
      throw new Error('Delete wall post failed, make sure you have permission to manage the wall');
    } else {
      return JSON.parse(res.body);
    }
  });
}

function runWithToken (args) {
  var jar = args.jar;
  return getGeneralToken({jar: jar})
  .then(function (xcsrf) {
    return getSenderUserId({jar: jar}).then(function(userid) {
      return deleteWallPost(jar, xcsrf, userid);
    });
  });
}

exports.func = function (args) {
  return runWithToken(args);
};
