// Includes
var settings = require('../settings.json');
var jar = require('./util/jar.js').func;
var newCache = require('./cache/new.js');

// Define
exports.init = function () {
  exports.jar = jar();

  var cacheList = [];
  var cache = settings.cache;
  for (let name in cache) {
    let item = cache[name];
    let cacheObj = {
      name: name,
      refresh: item['refresh'],
      expire: item['expire']
    };
    cacheList.push(cacheObj);
  }
  exports.cache = newCache(cacheList);

  var queue = settings.queue;

  exports.queue = queue;
};

exports.init();
