var http = require('../util/http.js').func;
var getUsernameFromId = require('./getUsernameFromId.js').func;

exports.required = ['username'];
exports.optional = ['userid', 'jar'];

function getBCType(args) {
  var httpOpt = {
    url: 'https://www.roblox.com/Thumbs/BCOverlay.ashx?username=' + args.username,
    options: {
      resolveWithFullResponse: true,
      method: 'GET',
      followRedirect: true
    }
  };
  return http(httpOpt)
  .then(function (res) {
    if (res.statusCode !== 200) {
      throw new Error("Couldn't get user's devforum info.");
    } else {
      var uri = res.request.uri.href;

      var bc = "NBC";

      if (url.includes('overlay_obcOnly')) {
        bc = 'OBC'
      } else if (url.includes('overlay_tbcOnly')) {
        bc = 'TBC'
      } else if (url.includes('overlay_bcOnly')) {
        bc = 'BC'
      }

      return bc;
    }
  });
};

exports.func = function(args) {
  if (args.userid) {
    return getUsernameFromId(args.userid).then(function(username) {
      args.username = username;
      return getBCType(args);
    });
  } else {
    return getBCType(args);
  }
}
