# 0q0-roblox

[![Okwo Discord](https://img.shields.io/badge/Discord-Okwo-blue.svg)](https://discord.0q0.eu/)

[![NPM](https://nodei.co/npm/0q0-roblox.png)](http://npmjs.com/package/0q0-roblox)

*Execute ROBLOX website actions in node.js*

## About

0q0-roblox is a node module that provides an interface for [ROBLOX](http://www.roblox.com) site actions, mostly for use with their HttpService feature.

Most functions are related to group service but there are other general functions as well. The list of main functions is in the contents section, they all have detailed documentation.

To use this with HttpService simply set up API's on your node server for accessing the functions, you can use the example server outlined in the below example server section as a base. Note that this does not use the latest version of the module and it is recommended you learn how to use the library directly.

There are also a few example scripts with version 3 support in the [examples](https://github.com/sentanos/roblox-js/tree/master/examples) folder.

NOTE: This work was originally created by [Sentanos](https://github.com/sentanos) and we are expanding it to support more features and keeping up to date.

## Prerequisites

- [**node.js**](https://nodejs.org/en/download/current/)

## Installation

With node.js installed simply run: `npm install 0q0-roblox`. That's it!

## Documentation

You can find the 0q0-roblox wiki with all API documentation [here](https://github.com/0q0-Team/0q0-roblox/wiki).

## Example Server

A usable express server utilizing this module is available [here](https://github.com/sentanos/roblox-js-server) and includes a detailed tutorial for setup on a free host as well as Lua scripts for sending requests to the server from in-game.
