module.exports = function (types) {
  var cache = {};
  for (let i = 0; i < types.length; i++) {
    let type = types[i];
    let expireValue = type.expire;
    let permanent = expireValue === true;
    let expire = (permanent || expireValue === false ? 0 : expireValue);
    cache[type.name] = {items: {}, expire: expire, refresh: type.refresh, permanent: permanent};
  }
  return cache;
};
