function shallowCopy (obj) {
  return Object.assign(obj instanceof Array ? [] : {}, obj);
}

module.exports = function (obj) {
  var newObj = shallowCopy(obj);
  for (let index in obj) {
    let value = obj[index];
    if (value instanceof Object) {
      value = shallowCopy(value);
    }
    newObj[index] = value;
  }
  return newObj;
};
