var parser = require('cheerio');

exports.required = ['html'];
exports.optional = ['find'];

exports.func = function (args) {
  var $ = parser.load(args.html);
  var inputs = {};
  var find = args.find;
  if (find) {
    for (let i = 0; i < find.length; i++) {
      let get = find[i];
      inputs[get] = $('input[name=' + get + ']').val();
    }
  } else {
    $('input[name]').each(function (index, element) {
      var here = $(this);
      inputs[here.attr('name')] = here.val();
    });
  }
  return inputs;
};
